## org.apache.lucene.queryparser.xml.builders
Class TermsFilterBuilder

    java.lang.Object
      org.apache.lucene.queryparser.xml.builders.TermsFilterBuilder

All Implemented Interfaces:
  FilterBuilder

    public class TermsFilterBuilder

extends Object
implements FilterBuilder

Builder for `TermsFilter`

Constructor Summary
`TermsFilterBuilder(Analyzer analyzer)`

Method Summary
`Filter` `getFilter(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermsFilterBuilder

    public TermsFilterBuilder(Analyzer analyzer)

Method Detail

### getFilter

    public Filter getFilter(Element e)
                     throws ParserException

  Specified by:
    `getFilter` in interface `FilterBuilder`
  Throws:
    `ParserException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.